---
layout: docs
page_title: plugin runtime deregister - Command
description: |-
  The "plugin runtime deregister" command deregisters a plugin runtime in Vault's plugin
  runtime catalog.
---

# plugin runtime deregister

Deregister an existing plugin runtime in the catalog with the given name.
Returns an error if a registered plugin references the named plugin runtime or
the named runtime does not exist.

<Note title="Limited type support">
  Support for runtime types is currently limited to `container`.
</Note>

## Examples

Deregister a plugin:

```shell-session
$ vault plugin runtime deregister -type=container my-plugin-runtime
Success! Deregistered plugin runtime: my-plugin-runtime
```

## Usage

The following flags are available in addition to the [standard set of
flags](/vault/docs/commands) included on all commands.

- `-type` `(string: <required>)` - Plugin runtime type. Vault currently only supports
  `container` runtime type.
